Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List store groups

Lists store groups (minimal fields) with pagination.

GET/api/v2/{team_slug}/{app_slug}/store-groups
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring
store-group-idstring[]

Repeatable store group id

Responses
200

OK

dataStoreGroupBase[]required
Show properties
Array of StoreGroupBase
idUUIDrequired
namestringrequired
slugstringrequired
store_typestring
country_of_salestring | null
marketsStoreGroupMarket[] | null
Show properties
Array of StoreGroupMarket
idUUIDrequired
namestring
slugstringrequired
localestring
currency_codestring
activeboolean
country_codesstring[] | null
is_tax_exemption_eligibleboolean
is_tax_included_in_priceboolean
created_atstring<date-time>
updated_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/store-groups' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "store_type": "string",
      "country_of_sale": "string",
      "markets": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "locale": "string",
          "currency_code": "string",
          "active": true,
          "country_codes": [
            "string"
          ],
          "is_tax_exemption_eligible": true,
          "is_tax_included_in_price": true,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}